Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 711134 - vsftpd: Do not create network namespace per connection
vsftpd: Do not create network namespace per connection
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110216,reported=20110606,sou...
: Security
Depends On:
Blocks: 734538
  Show dependency treegraph
 
Reported: 2011-06-06 12:04 EDT by Jan Lieskovsky
Modified: 2011-09-23 01:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-23 01:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Relevant feedftp script mentioned in Ubuntu BTS bug [2] (531 bytes, text/plain)
2011-06-06 12:55 EDT, Jan Lieskovsky
no flags Details
dmesg-oom.32.txt output mentioned in relevant Ubuntu BTS bug [2] (245.61 KB, text/plain)
2011-06-06 12:56 EDT, Jan Lieskovsky
no flags Details
And finally the vmallocinfo.32.tar archive from Ubuntu BTS bug [2] (410.00 KB, application/x-tar)
2011-06-06 12:58 EDT, Jan Lieskovsky
no flags Details
debian-vsftpd.patch (1.56 KB, patch)
2011-09-21 02:10 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2011-06-06 12:04:49 EDT
It was found that vsftpd, Very Secure FTP daemon, when the network namespace
(CONFIG_NET_NS) support was activated in the kernel, used to create a new
network namespace per connection. A remote attacker could use this flaw
to cause memory pressure (kernel OOM killer protection mechanism to be
activated and potentially terminate vsftpd or arbitrary [vsftpd independent]
process, which satisfied the OOM killer process selection algorithm).

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=629373
[2] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/720095
Comment 1 Jan Lieskovsky 2011-06-06 12:22:08 EDT
CVE request:
[3] http://www.openwall.com/lists/oss-security/2011/06/06/8
Comment 2 Jan Lieskovsky 2011-06-06 12:53:08 EDT
Public PoC (from [2]):
======================

The test is started in this way:

$ for i in 1 2 3 4 5 6 7 8 ; do ./feedftp $i >/dev/null & done

What is observed during the test is that /proc/vmallocinfo grows continually with lines like the following being added:

0xffffe8ffff800000-0xffffe8ffffa00000 2097152 pcpu_get_vm_areas+0x0/0x790 vmalloc
0xffffe8ffffa00000-0xffffe8ffffc00000 2097152 pcpu_get_vm_areas+0x0/0x790 vmalloc
0xffffe8ffffc00000-0xffffe8ffffe00000 2097152 pcpu_get_vm_areas+0x0/0x790 vmalloc
Comment 3 Jan Lieskovsky 2011-06-06 12:55:43 EDT
Created attachment 503287 [details]
Relevant feedftp script mentioned in Ubuntu BTS bug [2]
Comment 4 Jan Lieskovsky 2011-06-06 12:56:58 EDT
Created attachment 503288 [details]
dmesg-oom.32.txt output mentioned in relevant Ubuntu BTS bug [2]
Comment 5 Jan Lieskovsky 2011-06-06 12:58:30 EDT
Created attachment 503289 [details]
And finally the vmallocinfo.32.tar archive from Ubuntu BTS bug [2]
Comment 9 Huzaifa S. Sidhpurwala 2011-09-21 02:10:32 EDT
Created attachment 524135 [details]
debian-vsftpd.patch
Comment 16 Huzaifa S. Sidhpurwala 2011-09-23 01:04:58 EDT
Statement:

Not vulnerable. This issue did not affect the versions of vsftpd as
shipped with Red Hat Enterprise Linux 4 or 5. Due to the correction of
a crash in vsftpd upon connect (BZ#548802), vsftpd on Red Hat Enterprise
Linux 6 is not vulnerable to this flaw either.

Note You need to log in before you can comment on or make changes to this bug.